| helics 3.6.1

Public Member Functions | List of all members
helics::MessageDestOperator Class Reference

`#include <MessageOperators.hpp>`

Inheritance diagram for helics::MessageDestOperator:

## Public Member Functions
| MessageDestOperator ()=default
| MessageDestOperator (std::function< std::string(const std::string &, const std::string &)> userDestFunction)
void | setDestFunction (std::function< std::string(const std::string &, const std::string &)> userDestFunction)
virtual bool | isMessageGenerating () const override
Public Member Functions inherited from helics::FilterOperator
| FilterOperator ()=default
virtual | ~FilterOperator ()=default
virtual std::vector< std::unique_ptr< Message > > | processVector (std::unique_ptr< Message > message)
std::unique_ptr< Message > | operator() (std::unique_ptr< Message > message)

## Detailed Description

class defining an message operator that operates purely on the destination aspect of a message

## Constructor & Destructor Documentation

## ◆ MessageDestOperator() [1/2]

helics::MessageDestOperator::MessageDestOperator | ( |  | ) |
| default

default constructor

## ◆ MessageDestOperator() [2/2]

helics::MessageDestOperator::MessageDestOperator | ( | std::function< std::string(const std::string &, const std::string &)> | userDestFunction | ) |
| explicit

set the function to modify the time of the message in the constructor

## Member Function Documentation

## ◆ isMessageGenerating()

virtual bool helics::MessageDestOperator::isMessageGenerating | ( |  | ) | const
| inline override virtual

indicator if the filter Operator has the capability of generating completely new messages or redirecting messages

Reimplemented from helics::FilterOperator.

## ◆ setDestFunction()

void helics::MessageDestOperator::setDestFunction | ( | std::function< std::string(const std::string &, const std::string &)> | userDestFunction | ) |

set the function to modify the time of the message

The documentation for this class was generated from the following files:

- MessageOperators.hpp
- MessageOperators.cpp